/*
 *
 * @(#)ColorObj.java 0.2 98/05/04
 *
 * Copyright (c) 1997 Ginger Booth.  All Rights Reserved.
 *
 * @history: 980504, vfb, got rid of data field, wasn't used.
 * @history: original
 * @author Ginger Booth
 * @version 0.1, August 1997
 */
package courseware.util;

/** Color + name, bound together.
*/
import java.awt.Color;

public class ColorObj implements Cloneable {
    public Color  color;
    public String name;

    public ColorObj() { }

    public ColorObj(Color c, String n) {
        color = c;
        if ((n!=null) && (n.equals("")))
          name = null;
        else
          name  = n;
    }

    public Color getColor() { return color; }
    public void setColor(Color newColor) { color = newColor; }
    public String getName() { return name; }
    public void setName(String newName) { name = newName; }

    /** ColorObj.clone() just returns itself for the Param scheme.
     *  No actual cloning is done.
     */
    protected Object clone() { return this; }
}
