/**
 * 000912, vfb, original Java
 * Common utility, written for Gecko Woods Tree3.
 */

package courseware.util;

public class RunningAverage {
  private int memLen;
  private double[] memory;
  private int count = 0;

  public RunningAverage(int lengthOfMemory) {
    memLen = lengthOfMemory;
    memory = new double[lengthOfMemory];
    count = 0;
  }
  public void addMemory(double value) {
    memory[count%memLen] = value;
    count++;
  }
  public double getAverage() {
    int N = (count < memLen) ? count : memLen;
    double sum = 0;
    for (int i=0; i<N; i++)
      sum += memory[i];
    double n = N;
    return sum / n;
  }
}