//Title:        Gecko
//Version:
//Copyright:    Copyright (c) 1999, All rights reserved
//Author:       Ginger Booth, gingerbooth@cyber-wizard.com, ginger@gbooth.com
//Company:      Yale IBS/CCE
//Description:  Individual-Based Ecology Simulator

package gecko.statglue;

public interface StageObserver {

  /** A fixed number of stages for the length of run, please.... */
  public int getNumStages();
  /** stage id of this critter (like 0=newborn, 1=juvenile, 2=adult) */
  public int getStage(StageObservable agent);
  /** stage plot label of this critter (like 0="Newborn", 1="Juvenile", 2="Adult") */
  public String getStageName(int i);
}
