
/*
 *
 * @(#)ZFormula.java 000908
 *
 * Copyright (c) 2000 Ginger Booth.  All Rights Reserved.
 * Plot the z-formula
 */

package gecko.woods;

import courseware.plot.*;
public class ZFormula extends FnParam {
  String defName = "ZFormula(dbh)";

  public ZFormula() {
    super();
    name = defName;
    setArgLabel(0, "Function");
    setArgLabel(1, "heightInitSlope");
    setArgLabel(2, "maxHeight");
  }

  public double fOfX(double x, double stepx) {
    double heightInitSlope = numberValue[0];
    double maxHeight = numberValue[1];
    return maxHeight * (1.0 - Math.exp( - x * heightInitSlope/maxHeight));
  }

}