package courseware.jfcdep;

import java.awt.*;

/**
 * Title:        Courseware
 * Description:
 * Copyright:    Copyright (c) 1998-2001
 * Company:      Yale Inst. Biospheric Studies
 * @author Ginger Booth
 * @version 3.0
 *
 * Does nothing in java1.1 version.
 */

public class ClearLabel extends Label {

  public ClearLabel(String s) {
    super(s);
    this.setAlignment(Label.RIGHT);
  }
  public ClearLabel() {
    super();
    this.setAlignment(Label.RIGHT);
  }

  /** super gives bad answer...*/
  public Dimension getPreferredSize() {
    Dimension d = new Dimension();
    String label = getText();
    if ((label == null) || (label.length() == 0) ){
      d.width = 2;
      d.height = 2;
      return d;
    }
    d = super.getPreferredSize();
    FontMetrics fm = getGraphics().getFontMetrics();
    // basically, the +2 is because +0 loses about 1-2 pixels in IE...
    // if don't do this override, right-aligned text is 2 characters indented
    // for the max size string. Don't know why, and this is kludgy...
    d.width = fm.stringWidth(getText()) + 2;
    return d;
  }
}
