
/*
 *
 * @(#)CWAppletAdapter.java 0.2 98/05/08
 *
 * Copyright (c) 1998 Ginger Booth.  All Rights Reserved.
 *
 * @history: original, How do we run an applet as-is....
 * @author Ginger Booth
 * @version 0.2, 98/04
 */

package courseware.util;

import java.applet.*;
import java.awt.*;
import java.awt.image.*;
import courseware.util.*;
import courseware.plot.*;
import courseware.jfcdep.*;
import java.util.*;
import java.net.*;
import courseware.jfcdep.*;


public class CWAppletAdapter extends CourseWareAdapter
{
    public CWAppletAdapter() {super();}

    public AppletContext getAppletContext() {
        return cwaOwner().getAppletContext();
    }
    public CourseWareApplet cwaOwner() {return (CourseWareApplet) getOwner();}
    public void destroy() {cwaOwner().destroy();}
    public String getAppletInfo() {return cwaOwner().getAppletInfo();}
    public AudioClip getAudioClip(URL url) {
        return cwaOwner().getAudioClip(url);
    }
    public AudioClip getAudioClip(URL url, String name) {
        return cwaOwner().getAudioClip(url, name);
    }
    public URL getCodeBase() {return cwaOwner().getCodeBase();}
    public URL getDocumentBase() {return cwaOwner().getDocumentBase();}
    public Image getImage(URL url) {return cwaOwner().getImage(url);}
    public Image getImage(URL url, String name) {
        return cwaOwner().getImage(url, name);}
    public Locale getLocale() {return cwaOwner().getLocale();}
    /** note, this will grab from ParamMgr if there is one. */
    public String getParameter(String name) {
        return cwaOwner().getParameter(name);
    }
    /** This is defaulted to a noop by Applet. So unless CWA has
     *  gotten ambitious since this originally written, should
     *  return null.
     */
    public String[][] getParameterInfo(){
        return cwaOwner().getParameterInfo();
    }
    /** init is defined by CourseWareAdapter */
    public boolean isActive() {return cwaOwner().isActive();}
    public void play(URL url) {cwaOwner().play(url);}
    public void play(URL url, String name) {cwaOwner().play(url, name);}
    /** We do NOT override resize.  That goes to our Panel. */
    public final void setStub(AppletStub stub) {
        cwaOwner().setStub(stub);
    }
    /** Note: showStatus isn't very useful, because browser uses the
     *  status pane to say "Applet is running"... That's why the
     *  CommentMgr rigamarole is around.
     */
    public void showStatus(String msg) {
        cwaOwner().showStatus(msg);
    }

    /** and start and stop are CourseWareAdapter's. */
}
