/*
 *
 * @(#)PaletteBBW.java 1.0 990325
 *
 * Copyright (c) 1997-1999 Ginger Booth.  All Rights Reserved.
 *
 * @history: 980504, vfb, revamp, note default palette is now empty,
 * @history               and colors no longer contain data fields.
 * @history: original
 * @author Ginger Booth
 * @version 0.1, August 1997
 * @version 1.0+, Mar99, split off Palette, was called DAISY3
 */
package courseware.util;

/** BBW = Brown, Black, White, in that order. They are named.
 */
import java.awt.*;
import java.util.*;
import java.lang.reflect.*;

public class PaletteBBW extends Palette {
    public PaletteBBW()
    {
        super();
        addColor(new Color(185, 100, 100), "brown");
        addColor(new Color(0, 0, 0), "black");
        addColor(new Color(255, 255, 255), "white");
    }

} /* PaletteBBW */
