//Title:        Gecko Woods
//Version:
//Copyright:    Copyright (c) 1999, All rights reserved
//Author:       Ginger Booth, gingerbooth@cyber-wizard.com, ginger@gbooth.com
//Company:      Yale IBS/CCE
//Description:  "mini-Sortie"
/**
 * 991130, vfb, original Java
 * ReaperRandom applies a constant chance of random death to all trees.
 * This is independent of (thus in addition to) the Tree species mortRandom.
 */


package gecko.woods;
import gecko.*;

public class ReaperRandom implements Reapable, Steppable {
  double deathrate = 0;
  public ReaperRandom() {
    deathrate = 0;
  }
  public void step() {  }
  public void reap(ReapableTree tree) {
    if (Globals.getRandomDouble() < deathrate) {
      tree.die();
    }
  }
  public void setMortRandom(double d) {deathrate = d;}
  public double getMortRandom() {return deathrate;}
}
