//Title:        Gecko
//Version:
//Copyright:    Copyright (c) 1999, All rights reserved
//Author:       Ginger Booth, gingerbooth@cyber-wizard.com, ginger@gbooth.com
//Company:      Yale IBS/CCE
//Description:  Individual-Based Ecology Simulator
/**
 * 990329, vfb, original Java
 * Translated from the Swarm Objective-C Gecko source, version 0.51
 * With structural changes.
 */
/** A PassiveCritter is one who gets fed by the LandRoot instead of
 *  going hunting. Was "Critter" in Swarm version.
 */
package gecko.zoo;

public abstract class PassiveCritter extends Critter {
  private double scratchpad; // used by LandRoot in calculating cut of resources

  public PassiveCritter() {
    super();
    scratchpad=0;
  }
  public void setScratchpad(double x) {scratchpad = x;}
  public double getScratchpad() { return scratchpad;}
  public String toString() {
    return "Passive" + super.toString();

  }

}

